## azure-vm-utils 0.4.0

=== debian/changelog ===
azure-vm-utils (0.4.0-2) unstable; urgency=medium

  [ Chris Patterson ]
  * Fix for reproducible manpage.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 14 Oct 2024 09:25:39 -0400

azure-vm-utils (0.4.0-1) unstable; urgency=medium

  * Rename to azure-vm-utils to match renamed upstream project
  * New upstream version 0.4.0

 -- Noah Meyerhans <noahm@debian.org>  Wed, 09 Oct 2024 09:13:04 -0400

azure-nvme-utils (0.2.0-2) unstable; urgency=medium

  * Bump package version for source-only upload

 -- Noah Meyerhans <noahm@debian.org>  Fri, 05 Jul 2024 14:49:25 -0700

azure-nvme-utils (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1072523)

 -- Chris Patterson <cpatterson@microsoft.com>  Tue, 11 Jun 2024 15:18:12 +0000
