=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

version=$(shell dpkg-parsechangelog --show-field version)

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION=$(version)

%:
	dh $@
