## azure-vm-utils 0.5.1

=== debian/changelog ===
azure-vm-utils (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Chris Patterson <cpatterson@microsoft.com>  Fri, 28 Feb 2025 18:26:08 +0000

azure-vm-utils (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

 -- Chris Patterson <cpatterson@microsoft.com>  Thu, 20 Feb 2025 20:26:59 +0000
