=== debian/watch ===
version=4
https://github.com/Azure/azure-vm-utils/tags .*/v?(\d.*)@ARCHIVE_EXT@
