=== debian/changelog ===
azure-vm-utils (0.6.0-4~ubuntu0.25.04.1) plucky; urgency=medium

  * Merge latest upstream release 0.6.0 (LP: #2116077):
    - Full release notes are available at:
      https://github.com/Azure/azure-vm-utils/releases/tag/v0.6.0

  * Included changes from Debian unstable:
    - d/tests/control: Skip network on tests
    - d/rules: Fix missing dh_install
    - d/install: Add missing azure-unmanaged-sriov hook install

 -- Miriam España Acebal <miriam.espana@canonical.com>  Mon, 07 Jul 2025 12:49:52 +0200
