=== debian/tests/control ===
Test-Command: python3 ./selftest/selftest.py --skip-imds-validation --skip-symlink-validation --skip-network-validation
Depends: azure-vm-utils, python3
Restrictions: allow-stderr, needs-root
